Users
List a member's discography
Songs credited to the artist profile this member has claimed. Returns 404 when the member exists but has claimed no artist, since there is then no discography to return.
GET
/
v1
/
users
/
{username}
/
songs
List a member's discography
curl --request GET \
--url https://api.diskograf.com/v1/users/{username}/songsimport requests
url = "https://api.diskograf.com/v1/users/{username}/songs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.diskograf.com/v1/users/{username}/songs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 0,
"title": "<string>",
"slug": "<string>",
"released_at": "<string>",
"artwork_url": "<string>",
"youtube_video_id": "<string>",
"youtube_video_url": "<string>",
"artists": [
{
"id": 0,
"name": "<string>"
}
]
}
],
"meta": {
"total": 0,
"limit": 0,
"offset": 0
}
}{
"error": {
"message": "<string>"
}
}Path Parameters
Query Parameters
Available options:
asc, desc Required range:
1 <= x <= 80Required range:
x >= 0⌘I
List a member's discography
